#include "iki_read.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef _di_iki_read_identify_substitution_
  f_number_unsigned_t iki_read_identify_substitution(iki_read_main_t * const main, const f_range_t name, const f_range_t value, f_string_triples_t * const triple) {

    f_number_unsigned_t i = triple->used - 1;

    do {
      if (f_compare_dynamic_partial_string(triple->array[i].a.string, main->cache.buffer, triple->array[i].a.used, name) == F_equal_to) {
        if (f_compare_dynamic_partial_string(triple->array[i].b.string, main->cache.buffer, triple->array[i].b.used, value) == F_equal_to) {
          return i;
        }
      }

    } while (i--);

    return triple->used;
  }
#endif // _di_iki_read_identify_substitution_

#ifdef __cplusplus
} // extern "C"
#endif
